Information Exposure

Affecting org.jenkins-ci.plugins:mask-passwords artifact, versions [0,]

Do your applications use this vulnerable package? Test your applications

Overview

org.jenkins-ci.plugins:mask-passwords is a plugin used to mask passwords or regular expressions which may appear from builds' console.

Affected versions of this package are vulnerable to Information Exposure. The plugin transmits globally configured passwords in plain text as part of the configuration form.

Remediation

There is no fixed version for org.jenkins-ci.plugins:mask-passwords.

References

CVSS Score

3.1
low severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N
Credit
Unknown
CVE
CVE-2019-10370
CWE
CWE-200
Snyk ID
SNYK-JAVA-ORGJENKINSCIPLUGINS-458743
Disclosed
07 Aug, 2019
Published
08 Aug, 2019